RenewIpv6Cidr

1. API Description

This API (RenewIpv6Cidr) is used to restore an IPv6 CIDR block.

circle-info

Note

  • This operation is only supported for IPv6 CIDR blocks in the recycle bin (i.e., with state RECYCLED).

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

cidrId

Yes

String

IPv6 CIDR block ID.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Restore an IPv6 CIDR block.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RenewIpv6Cidr
<Common Request Params>

Request:
{
    "cidrId": "<cidrId>"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated